<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">

	<ExtensionPoint ID="I_PbAppSetting" Enable="1">
		<Plugin ID="GamingKeyboard" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingForce"/>
			<ExtraConfig>
				<DefaultDBFile>RecoverSetting\GK\GamingKeyboard.gkdb</DefaultDBFile>
				<DBFile>GamingKeyboard.gkdb</DBFile>
				<CloseCustomizeMode>
					<Item>SingleKeyDialog</Item>
					<Item>MacroKeyDialog</Item>
					<Item>ComboKeyDialog</Item>
					<Item>StartProcessDialog</Item>				
				</CloseCustomizeMode>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbMessageBoxPrompter" Enable="1">
		<Plugin ID="GK::Message_zh-TW" Bundle="..\MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::Message_zh-TW"/>
		</Plugin>
		<Plugin ID="GK::Message_zh-CN" Bundle="..\MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::Message_zh-CN"/>
		</Plugin>
		<Plugin ID="GK::Message_en-US" Bundle="..\MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::Message_en-US"/>
		</Plugin>
		<Plugin ID="GK::Message_fr-FR" Bundle="..\MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::Message_fr-FR"/>
		</Plugin>
		<Plugin ID="GK::Message_ge-GE" Bundle="..\MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::Message_ge-GE"/>
		</Plugin>
		<Plugin ID="GK::Message_sp-SP" Bundle="..\MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::Message_sp-SP"/>
		</Plugin>
		<Plugin ID="GK::Message_it-IT" Bundle="..\MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::Message_it-IT"/>
		</Plugin>
		<Plugin ID="GK::Message_hr-HR" Bundle="..\MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::Message_hr-HR"/>
		</Plugin>
		<Plugin ID="GK::Message_sl-SL" Bundle="..\MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::Message_sl-SL"/>
		</Plugin>
		<Plugin ID="GK::Message_es-ES" Bundle="..\MessagePrompter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::Message_es-ES"/>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbMessageProvider" Enable="1">
		<Plugin ID="GK::Message_zh-TW" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\Message_zh-TW.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::Message_zh-CN" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\Message_zh-CN.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::Message_en-US" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\Message_en-US.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::Message_fr-FR" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\Message_fr-FR.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::Message_ge-GE" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\Message_ge-GE.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::Message_sp-SP" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\Message_sp-SP.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::Message_it-IT" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\Message_it-IT.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::Message_hr-HR" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\Message_hr-HR.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::Message_sl-SL" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\Message_sl-SL.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::Message_es-ES" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\Message_es-ES.xml</File>
			</ExtraConfig>
		</Plugin>

		<Plugin ID="GK::UIText_zh-TW" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UIText_zh-TW.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UIText_zh-CN" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UIText_zh-CN.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UIText_en-US" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UIText_en-US.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UIText_fr-FR" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UIText_fr-FR.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UIText_ge-GE" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UIText_ge-GE.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UIText_sp-SP" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UIText_sp-SP.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UIText_it-IT" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UIText_it-IT.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UIText_hr-HR" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UIText_hr-HR.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UIText_sl-SL" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UIText_sl-SL.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UIText_es-ES" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UIText_es-ES.xml</File>
			</ExtraConfig>
		</Plugin>

		<Plugin ID="GK::UITooltip_zh-TW" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UITooltip_zh-TW.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UITooltip_zh-CN" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UITooltip_zh-CN.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UITooltip_en-US" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UITooltip_en-US.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UITooltip_fr-FR" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UITooltip_fr-FR.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UITooltip_ge-GE" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UITooltip_ge-GE.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UITooltip_sp-SP" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UITooltip_sp-SP.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UITooltip_it-IT" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UITooltip_it-IT.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UITooltip_hr-HR" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UITooltip_hr-HR.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UITooltip_sl-SL" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UITooltip_sl-SL.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::UITooltip_es-ES" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\UITooltip_es-ES.xml</File>
			</ExtraConfig>
		</Plugin>

		<Plugin ID="GK::KeyboardHookMapping" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\KeyboardHookMapping.xml</File>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::KeyboardIDMapping" Bundle="..\MessageProvider.dll" Enable="1">
			<ExtraConfig>
				<File>Message\GK\KeyboardIDMapping.xml</File>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbMessageBoxProvider" Enable="1">
		<Plugin ID="GamingKeyboard" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GK::Message_zh-TW"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GK::Message_zh-CN"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GK::Message_en-US"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GK::Message_fr-FR"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GK::Message_ge-GE"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GK::Message_sp-SP"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GK::Message_it-IT"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GK::Message_hr-HR"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GK::Message_sl-SL"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxPrompter" PluginID="GK::Message_es-ES"/>
			<ExtraConfig>
				<Prefix>GK::Message_</Prefix>
				<Language>es-ES</Language>
				<LanguageElse>en-US</LanguageElse>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbUITextProvider" Enable="1">
		<Plugin ID="GamingKeyboard" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UIText_zh-TW"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UIText_zh-CN"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UIText_en-US"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UIText_fr-FR"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UIText_ge-GE"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UIText_sp-SP"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UIText_it-IT"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UIText_hr-HR"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UIText_sl-SL"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UIText_es-ES"/>
			<ExtraConfig>
				<Prefix>GK::UIText_</Prefix>
				<Language>es-ES</Language>
				<LanguageElse>en-US</LanguageElse>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GamingKeyboardTooltip" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UITooltip_zh-TW"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UITooltip_zh-CN"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UITooltip_en-US"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UITooltip_fr-FR"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UITooltip_ge-GE"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UITooltip_sp-SP"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UITooltip_it-IT"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UITooltip_hr-HR"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UITooltip_sl-SL"/>
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::UITooltip_es-ES"/>
			<ExtraConfig>
				<Prefix>GK::UITooltip_</Prefix>
				<Language>es-ES</Language>
				<LanguageElse>en-US</LanguageElse>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="GK::I_PbKeyboardHook" Enable="1">
		<Plugin ID="GamingKeyboard" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageProvider" PluginID="GK::KeyboardHookMapping"/>
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingKeyboard"/>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="GK::I_PbGamingKeyboardMacroFacade" Enable="1">
		<Plugin ID="GamingKeyboard" Bundle="GamingKeyboardMacro.dll" Enable="1">
			<Collaboration ExtensionPointID="GK::I_PbGamingKeyboardPersister" PluginID="GamingKeyboard"/>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="GK::I_PbUserProfileFacade" Enable="1">
		<Plugin ID="GamingKeyboard" Bundle="GamingKeyboardProfile.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbGamingKeyboardPersister" PluginID="GamingKeyboard"/>
            <ExtraConfig>
				<Profile InitCreateCount="3" InitUsedCount="1">
				    <ProfileSummary IsActive="0" IsUsed="-1" IsGamingModeEnabled="0" KeyLightMode="9" BindHotKeyIndex="-1"/>
					<GamingMode DisableAltF4="0" DisableAltTab="0" DisableWinKey="0"/>
					<KeyCustomization DefKeyDefinition="0?0">
						<!--Keyi  KeyDefinition="j?k"/-->
					</KeyCustomization>
					<KeyLightCustomization DefColor="#000000">
						<!--Keyi  Color="#FFFFFF"/-->
					</KeyLightCustomization>
					<KeyLightBreathing EnableColor2="0" Color1="#0000ff" Color2="#0000ff" Frequency="11" IsRandom="0" Brightness="15"/>
					<KeyLightReactive EnableColor2="0" Color1="#0000ff" Color2="#0000ff" Duration="1" IsRandom="0" Brightness="15"/>
					<KeyLightSpectrumCycling Frequency="11" Brightness="15"/>
					<KeyLightStatic Color="#0000ff" Brightness="15"/>
					<KeyLightWave Direction="0" Frequency="11" Brightness="15"/>
					<KeyLightExplosion EnableColor2="0" Color1="#0000ff" Color2="#0000ff" Frequency="5" IsRandom="0" Brightness="15"/>
					<KeyLightHeartBeating EnableColor2="0" Color1="#0000ff" Color2="#0000ff" Frequency="15" IsRandom="0" Brightness="15"/>
					<KeyLightCustomizationSummary Brightness="15"/>
					<KeyLightGenerals LightGeneralCount="32" Direction="0" Frequency="15" Brightness="15" Color1="#0000ff" IsFullColor="0">
					 <KeyLightGeneral LightModeIndex="1" Direction="3" Frequency="11" Brightness="15" Color1="#00ffff" Color2="#0000ff" IsFullColor="1"/>
					 <KeyLightGeneral LightModeIndex="2" Direction="0" Frequency="11" Brightness="15" Color1="#00ffff" Color2="#0000ff" IsFullColor="1"/>
					 <KeyLightGeneral LightModeIndex="3" Direction="0" Frequency="11" Brightness="15" Color1="#00ffff" Color2="#0000ff" IsFullColor="1"/>
					 <KeyLightGeneral LightModeIndex="4" Direction="0" Frequency="11" Brightness="15" Color1="#0000ff" Color2="#0000ff" IsFullColor="1"/>
					 <KeyLightGeneral LightModeIndex="5" Direction="0" Frequency="11" Brightness="15" Color1="#0000ff" Color2="#0000ff" IsFullColor="0"/>
					 <KeyLightGeneral LightModeIndex="6" Direction="0" Frequency="11" Brightness="15" Color1="#0000ff" Color2="#0000ff" IsFullColor="1"/>
					 <KeyLightGeneral LightModeIndex="7" Direction="0" Frequency="11" Brightness="15" Color1="#00ffff" Color2="#0000ff" IsFullColor="0"/>
					 <KeyLightGeneral LightModeIndex="8" Direction="0" Frequency="11" Brightness="15" Color1="#0000ff" Color2="#0000ff" IsFullColor="1"/>
					 <KeyLightGeneral LightModeIndex="9" Direction="0" Frequency="11" Brightness="15" Color1="#0000ff" Color2="#0000ff" IsFullColor="1"/>
					 <KeyLightGeneral LightModeIndex="10" Direction="3" Frequency="11" Brightness="15" Color1="#0000ff" Color2="#0000ff" IsFullColor="1"/>
					 <KeyLightGeneral LightModeIndex="11" Direction="0" Frequency="11" Brightness="15" Color1="#0000ff" Color2="#0000ff" IsFullColor="1"/>
					 <KeyLightGeneral LightModeIndex="12" Direction="0" Frequency="11" Brightness="15" Color1="#0000ff" Color2="#0000ff" IsFullColor="1"/>
					 <KeyLightGeneral LightModeIndex="13" Direction="0" Frequency="11" Brightness="15" Color1="#0000ff" Color2="#0000ff" IsFullColor="1"/>
					 <KeyLightGeneral LightModeIndex="14" Direction="0" Frequency="11" Brightness="15" Color1="#0000ff" Color2="#0000ff" IsFullColor="1"/>
					 <KeyLightGeneral LightModeIndex="15" Direction="0" Frequency="11" Brightness="15" Color1="#0000ff" Color2="#0000ff" IsFullColor="1"/>
					 <KeyLightGeneral LightModeIndex="16" Direction="0" Frequency="11" Brightness="15" Color1="#0000ff" Color2="#0000ff" IsFullColor="1"/>
					 <KeyLightGeneral LightModeIndex="17" Direction="0" Frequency="11" Brightness="15" Color1="#0000ff" Color2="#0000ff" IsFullColor="1"/>
					 <KeyLightGeneral LightModeIndex="18" Direction="0" Frequency="11" Brightness="15" Color1="#0000ff" Color2="#0000ff" IsFullColor="1"/>
			 		 <KeyLightGeneral LightModeIndex="19" Direction="0" Frequency="11" Brightness="15" Color1="#0000ff" Color2="#0000ff" IsFullColor="1"/>
					</KeyLightGenerals>
				</Profile>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="GK::I_PbGamingKeyboardWriter" Enable="1">
		<Plugin ID="GamingKeyboard" Bundle="GamingKeyboardWriter.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbGamingKeyboardMacroFacade" PluginID="GamingKeyboard"/>

			<ExtraConfig>
				<MemoryType>1</MemoryType> <!--0:EEPROM, 1:Flash-->
				<CommandDelayTime>15</CommandDelayTime>
				<ToolType>1</ToolType>     <!--0 Gaming Force, 1 Gaming Force Z-->
				<DeviceArrivalDelayTime>1000</DeviceArrivalDelayTime>	
				<EnableLightingMode>
					<Item>LightingMode_1</Item>
					<Item>LightingMode_2</Item>
					<Item>LightingMode_3</Item>
					<Item>LightingMode_4</Item>
					<Item>LightingMode_5</Item>
					<Item>LightingMode_6</Item>
					<Item>LightingMode_7</Item>
					<Item>LightingMode_8</Item>
					<Item>LightingMode_9</Item>
					<Item>LightingMode_10</Item>
					<Item>LightingMode_11</Item>
					<Item>LightingMode_12</Item>
					<Item>LightingMode_13</Item>
					<Item>LightingMode_14</Item>
					<Item>LightingMode_15</Item>
					<Item>LightingMode_16</Item>
					<Item>LightingMode_17</Item>
					<Item>LightingMode_18</Item>
					<Item>LightingMode_19</Item>
					<Item>LightingMode_20</Item>
					<Item>LightingMode_21</Item>
					<Item>LightingMode_22</Item>
					<Item>LightingMode_23</Item>
					<Item>LightingMode_24</Item>
					<Item>LightingMode_25</Item>
					<Item>LightingMode_26</Item>
					<Item>LightingMode_27</Item>
					<Item>LightingMode_28</Item>
					<Item>LightingMode_29</Item>
					<Item>LightingMode_30</Item>
					<Item>LightingMode_31</Item>
					<Item>OwnerDrawMode</Item>					
				</EnableLightingMode>
				<LightBrightnessLevel>
					<Value>1</Value>
					<Value>2</Value>
					<Value>3</Value>
					<Value>4</Value>
					<Value>5</Value>
					<Value>6</Value>
					<Value>7</Value>
					<Value>8</Value>
					<Value>9</Value>
					<Value>10</Value>
					<Value>11</Value>
					<Value>12</Value>
					<Value>13</Value>
					<Value>14</Value>
					<Value>15</Value>
					<Value>16</Value>
				</LightBrightnessLevel>
				<LightFrequencyLevel>
					<Value>1</Value>
					<Value>2</Value>
					<Value>3</Value>
					<Value>4</Value>
					<Value>5</Value>
					<Value>6</Value>
					<Value>7</Value>
					<Value>8</Value>
					<Value>9</Value>
					<Value>10</Value>
					<Value>11</Value>
					<Value>12</Value>
					<Value>13</Value>
					<Value>14</Value>
					<Value>15</Value>
					<Value>16</Value>
				</LightFrequencyLevel>

<KeyboardMappings>
	<!--KeyboardMapping OriKey="VK_OEM_3" DevKey="VK_OEM_5"/>
	<KeyboardMapping OriKey="VK_OEM_MINUS" DevKey="VK_OEM_4"/>
	<KeyboardMapping OriKey="VK_OEM_PLUS" DevKey="VK_OEM_6"/>
	<KeyboardMapping OriKey="VK_OEM_4" DevKey="VK_OEM_1"/>
	<KeyboardMapping OriKey="VK_OEM_6" DevKey="VK_OEM_PLUS"/>
	<KeyboardMapping OriKey="VK_OEM_5" DevKey="VK_OEM_2"/>
	<KeyboardMapping OriKey="VK_OEM_1" DevKey="VK_OEM_3"/>
	<KeyboardMapping OriKey="VK_OEM_2" DevKey="VK_OEM_MINUS"/-->
</KeyboardMappings>

				<ColorMappings>
					<!--ColorMapping OriColor="#0000ff" DevColor="#ff0000"/>	
					<ColorMapping OriColor="#ff0000" DevColor="#0000ff"/>	
					<ColorMapping OriColor="#0096ff" DevColor="#40B0FF"/>				
					<ColorMapping OriColor="#0000ff" DevColor="#3080FF"/>					
					<ColorMapping OriColor="#000096" DevColor="#3030FF"/-->				
				</ColorMappings>			
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="GK::I_PbGamingKeyboardPersister" Enable="1">
		<Plugin ID="GamingKeyboard" Bundle="GamingKeyboardPersister.dll" Enable="1">
			<ExtraConfig>
				<File>GamingKeyboard.gkdb</File>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTWidgetFactoryEx" Enable="1">
		<Plugin ID="GK::KeyDecorator" Bundle="GamingKeyboardMain.dll" Enable="1">
			<ExtraConfig>
				<Style>NoEffect</Style> <!--NoEffect, Frame, or Pane-->
				<Frame Alpha="127" Color="#FFFFFF"/>
				<Pane Alpha="127" Color="#00D7FF"/>
				<CustomizeUIBKFile>Image\GK\Theme1\DialogCustomize.png</CustomizeUIBKFile> 
				<LightUIBKFile>Image\GK\Theme1\DialogLightingAdv.png</LightUIBKFile> 
				<ConfiguratorDialogUIBKFile>Image\GK\Theme1\DialogConfigurator.png</ConfiguratorDialogUIBKFile> 
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbSubAppDelegation" Enable="1">
		<Plugin ID="GamingKeyboard" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbGamingKeyboardWriter" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbGamingKeyboardPersister" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbGamingKeyboardMacroFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GK::CustomizeUI"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GK::LightingUI"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GK::GamingModeUI"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GK::MacroUI"/>
		</Plugin>
	</ExtensionPoint>

	<NextPluginFile>Skin.xml</NextPluginFile>
	<NextPluginFile>SkinDialog.xml</NextPluginFile>

	<NextPluginFile>CustomizeUI.xml</NextPluginFile>
	<NextPluginFile>LightingUI.xml</NextPluginFile>
 
	<NextPluginFile>GamingModeUI.xml</NextPluginFile>
	<NextPluginFile>MacroUI.xml</NextPluginFile>
	<NextPluginFile>ConfiguratorDialog.xml</NextPluginFile>
	<NextPluginFile>LightingPaletteDialog.xml</NextPluginFile>

	<NextPluginFile>ProfileDialog.xml</NextPluginFile>
	<NextPluginFile>MacroEditDialog.xml</NextPluginFile>
	<NextPluginFile>DelayTimeDialog.xml</NextPluginFile>
	<NextPluginFile>RenameDialog.xml</NextPluginFile>

	<NextPluginFile>KeyboardKeyDialog.xml</NextPluginFile>
	<NextPluginFile>SingleKeyDialog.xml</NextPluginFile>
	<NextPluginFile>MouseFunctionDialog.xml</NextPluginFile>
	<NextPluginFile>MacroKeyDialog.xml</NextPluginFile>
	<NextPluginFile>StartProcessDialog.xml</NextPluginFile>
	<NextPluginFile>MediaKeyDialog.xml</NextPluginFile>
	<NextPluginFile>WindowsKeyDialog.xml</NextPluginFile>
	<NextPluginFile>ComboKeyDialog.xml</NextPluginFile>

</File>
